## dcl-ifc9 5.3.1-3

=== demo/math1/rfblib/Makefile ===
#
#       Makefile for rfblib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= rfblib
LIBSRCS		= rfbl01.f
LIBDEMO 	= rfbl01
LIBEXEC 	= rfbl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/vrblib/Makefile ===
#
#       Makefile for vrblib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vrblib
LIBSRCS		= vrbl01.f
LIBDEMO 	= vrbl01
LIBEXEC 	= vrbl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== src/env1/bitmap/Makefile ===
#
#       Makefile for bitmap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude


all: $(LDBASEDIR)/bitmap.x11

$(LDBASEDIR)/bitmap.x11: bitmap.x11
	@echo "Installing bitmap file bitmap.x11 into local dcldbase directory"
	@$(CP) bitmap.x11 $(LDBASEDIR)/bitmap.x11

bitmap.x11: bmcx11 bitm16z.asc
	@echo "Creating bitmap file bitmap.x11"
	@echo "'bitm16z.asc' 'bitmap.x11'" | ./bmcx11

bmcx11: bmcx11.f
	$(FC) $(FFLAGS) -o bmcx11 bmcx11.f

clean:
	$(RM) *.o *~ bmcx11$(EXT) bitmap.x11

=== src/grph1/oldsrc/Makefile ===
#
#       Makefile for oldsrc
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= oldsrc
LIBFSRCS	= sgsntr.f sgsclp.f sgstxf.f sgntrf.f sgsmap.f sgstrc.f \
		  sgwtrf.f supwsn.f suswnd.f suqwnd.f susvpt.f suqvpt.f \
		  supwwr.f supvpr.f slpget.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= sgsntr.o sgsclp.o sgstxf.o sgntrf.o sgsmap.o sgstrc.o \
		  sgwtrf.o supwsn.o suswnd.o suqwnd.o susvpt.o suqvpt.o \
		  supwwr.o supvpr.o slpget.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math1/rfalib/Makefile ===
#
#       Makefile for rfalib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= rfalib
LIBFSRCS	= rmax.f rmax0.f rmax1.f rmin.f rmin0.f rmin1.f \
		  rsum.f rsum0.f rsum1.f rave.f rave0.f rave1.f \
		  rvar.f rvar0.f rvar1.f rstd.f rstd0.f rstd1.f \
		  rrms.f rrms0.f rrms1.f ramp.f ramp0.f ramp1.f \
		  rvmax.f rvmax0.f rvmax1.f rvmin.f rvmin0.f rvmin1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= rmax.o rmax0.o rmax1.o rmin.o rmin0.o rmin1.o \
		  rsum.o rsum0.o rsum1.o rave.o rave0.o rave1.o \
		  rvar.o rvar0.o rvar1.o rstd.o rstd0.o rstd1.o \
		  rrms.o rrms0.o rrms1.o ramp.o ramp0.o ramp1.o \
		  rvmax.o rvmax0.o rvmax1.o rvmin.o rvmin0.o rvmin1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math1/vrblib/Makefile ===
#
#       Makefile for vrblib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vrblib
LIBFSRCS	= vrfnb.f vrfnb0.f vrfnb1.f vradd.f vradd0.f vradd1.f \
		  vrsub.f vrsub0.f vrsub1.f vrmlt.f vrmlt0.f vrmlt1.f \
		  vrdiv.f vrdiv0.f vrdiv1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrfnb.o vrfnb0.o vrfnb1.o vradd.o vradd0.o vradd1.o \
		  vrsub.o vrsub0.o vrsub1.o vrmlt.o vrmlt0.o vrmlt1.o \
		  vrdiv.o vrdiv0.o vrdiv1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math2/fftlib/Makefile ===
#
#       Makefile for fftlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fftlib
LIBFSRCS	= cfftb.f cfftb1.f cfftf.f cfftf1.f cffti.f cffti1.f \
		  cosqb.f cosqb1.f cosqf.f cosqf1.f cosqi.f cost.f costi.f \
		  ezfft1.f ezfftb.f ezfftf.f ezffti.f \
		  passb.f passb2.f passb3.f passb4.f passb5.f \
		  passf.f passf2.f passf3.f passf4.f passf5.f \
		  radb2.f radb3.f radb4.f radb5.f radbg.f \
		  radf2.f radf3.f radf4.f radf5.f radfg.f \
		  rfftb.f rfftb1.f rfftf.f rfftf1.f rffti.f rffti1.f \
		  sinqb.f sinqf.f sinqi.f sint.f sint1.f sinti.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= cfftb.o cfftb1.o cfftf.o cfftf1.o cffti.o cffti1.o \
		  cosqb.o cosqb1.o cosqf.o cosqf1.o cosqi.o cost.o costi.o \
		  ezfft1.o ezfftb.o ezfftf.o ezffti.o \
		  passb.o passb2.o passb3.o passb4.o passb5.o \
		  passf.o passf2.o passf3.o passf4.o passf5.o \
		  radb2.o radb3.o radb4.o radb5.o radbg.o \
		  radf2.o radf3.o radf4.o radf5.o radfg.o \
		  rfftb.o rfftb1.o rfftf.o rfftf1.o rffti.o rffti1.o \
		  sinqb.o sinqf.o sinqi.o sint.o sint1.o sinti.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/misc1/datelib/Makefile ===
#
#       Makefile for datelib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= datelib
LIBFSRCS	= date12.f date13.f date21.f date23.f date31.f date32.f \
		  datef1.f datef2.f datef3.f dateg1.f dateg2.f dateg3.f \
		  ndate1.f ndate2.f ndate3.f datec1.f datec2.f datec3.f \
		  dateq1.f dateq2.f iweek1.f iweek2.f iweek3.f \
		  ndmon.f ndyear.f cmon.f cweek.f
LIBCSRCS	= dateq3.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= date12.o date13.o date21.o date23.o date31.o date32.o \
		  datef1.o datef2.o datef3.o dateg1.o dateg2.o dateg3.o \
		  ndate1.o ndate2.o ndate3.o datec1.o datec2.o datec3.o \
		  dateq1.o dateq2.o iweek1.o iweek2.o iweek3.o \
		  ndmon.o ndyear.o cmon.o cweek.o
LIBCOBJS	= dateq3.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-ifc9 (5.3.1-3) unstable; urgency=low

  * ported to ifc9.

 -- NAKANO Masuo <masuo@geo.kyushu-u.ac.jp>  Mon, 21 Jan 2006 14:20:09 +0900

dcl-ffc5 (5.3.1-3) unstable; urgency=low

  * GCC is specified as a C compiler. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 21 Jul 2005 10:52:11 +0900

dcl-ifc8.1 (5.3.1-2) unstable; urgency=low

  * Package name is changed. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 20 Jul 2005 13:06:37 +0900

dcl-ffc5 (5.3.1-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 14 Jul 2005 12:57:16 +0900

dcl-ffc5 (5.3-2) unstable; urgency=low

  *  xlibs-dev is added as Depends package.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 22 Mar 2005 16:25:58 +0900

dcl-ffc5 (5.3-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 18 Nov 2004 20:55:09 +0900

dcl-ffc5 (5.2-7sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:06:05 +0900

dcl-ffc5 (5.2-8) unstable; urgency=low

  * Intel Fortran Compiler ver.8 (8.0.039) support. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 21 Mar 2004 22:26:06 +0900

dcl-ffc5 (5.2-7) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:04:09 +0900	
  * Fujitsu Fortran Compiler ver.4 support.  	

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 20:39:45 +0900
	
  * Intel Fortran Compiler ver.7 support.
  * Fujitsu Fortran Compiler ver.3 support  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  7 Jan 2003 15:35:34 +0900

dcl-ffc5 (5.2-6) unstable; urgency=low

  * dvlop/pslib/dcl-psrmcm bug fixed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  7 Jun 2002 19:24:34 +0900

dcl-ffc5 (5.2-5) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 02:56:00 +0900

dcl-ffc5 (5.2-4) unstable; urgency=low

  * Utilities, demo programs are separated as a different package.
  * Dependency of ffc(Fujitsu Fortran compiler) removed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 12:25:53 +0900

dcl-ffc5 (5.2-3) unstable; urgency=low

  * Names of the binaries changed to treat different compilers.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:47 +0900

dcl-ffc5 (5.2-2) unstable; urgency=low

  * Include dvlop/pslib to the installed binary package.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:41 +0900

dcl-ffc5 (5.2-1) unstable; urgency=low

  * Initial Release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  1 Nov 2000 16:18:59 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dcl-ifc9
Section: math
Priority: optional
Maintainer: NAKANO Masuo <masuo@geo.kyushu-u.ac.jp>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-ifc9
Architecture: i386
Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0), libgtk2.0-dev
Suggests: ifc (=9)
Description: GFD-DENNOU Club Library (DCL) compiled by Intel(R) Fortran Compiler for 32-bit applications, Version 9.
 DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
 It contains following libraries.
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc.)
 Original source codes can be downloaded from http://www.gfd-dennou.org/arch/dcl/.  

Package: dcl-util
Architecture: all
Suggests: dcl-ffc5, dcl-ffc4, dcl-g77, dcl-ifc8, dcl-ifc8.1, dcl-ifc9
Description: Utilities for GFD-DENNOU Club Library (DCL).
 Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

### Fujitsu Fortran & C compiler #######################################
#
#EXT=ffc5
#FC=frt
#CC=gcc

### Intel Fortran compiler##############################################
### for ver.6, ver.7, and ver. 7.1
#EXT=ifc7
#FC=ifc
#CC=gcc
#FFLAGS=-O -Vaxlib -Qoption,ld,-Bdynamic
#
### for ver9 
EXT=ifc9
FC=ifort
CC=gcc
FFLAGS=-O -Qoption,ld,-Bdynamic

### GNU Fortran 77 compiler#############################################
#
#EXT=g77
#FC=g77
#CC=gcc

### Package and prefix name ############################################
# 
PACKAGE=dcl-$(EXT)-5.3.1
UTILPACKAGE=dcl-util
PREFIXLIB=dcl-5.3.1-$(EXT)

########################################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	(export CC=$(CC) ; export FC=$(FC) ; export FFLAGS='$(FFLAGS)' ; ./configure --prefix=/usr/lib/$(PREFIXLIB))

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/dcl.sgml > dcl.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp 
	rm -f build-indep-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-$(EXT)/usr/lib/$(PREFIXLIB)

	dh_movefiles --sourcedir=debian/dcl-$(EXT)

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_installdirs -p$(UTILPACKAGE) -Pdebian/dcl-util usr/bin
	(cd dvlop/pslib && $(MAKE) install prefix=../../debian/dcl-util/usr)
	# old pslib is moved (2005/07/20 ODAKA Masatsugu)
	mv dvlop/pslib .
	mv dvlop/old-pslib .
	dh_installdocs -p$(UTILPACKAGE) -Pdebian/dcl-util demo dvlop
	# old pslib is moved back (2005/07/20 ODAKA Masatsugu)
	mv pslib dvlop
	mv old-pslib dvlop
	dh_installdeb -p$(UTILPACKAGE) -Pdebian/dcl-util
	dpkg-gencontrol -isp -p$(UTILPACKAGE) -Pdebian/dcl-util
	chown -R root.root debian/dcl-util
	chmod -R go=rX debian/dcl-util
	dpkg --build debian/dcl-util ..

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_link usr/lib/$(PREFIXLIB)/bin/dclfrt  usr/bin/dclfrt.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclcc   usr/bin/dclcc.$(EXT)   \
                usr/lib/$(PREFIXLIB)/bin/dcldate usr/bin/dcldate.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclexec usr/bin/dclexec.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltone usr/bin/dcltone.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclver  usr/bin/dclver.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclclr  usr/bin/dclclr.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dcldbs  usr/bin/dcldbs.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclfont usr/bin/dclfont.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclpara usr/bin/dclpara.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltrf  usr/bin/dcltrf.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/repsl   usr/bin/repsl.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclps2kdraw   usr/bin/dclps2kdraw.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpscat      usr/bin/dclpscat.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsfix      usr/bin/dclpsfix.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsfont     usr/bin/dclpsfont.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsmargin   usr/bin/dclpsmargin.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsmerge    usr/bin/dclpsmerge.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsnup      usr/bin/dclpsnup.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsrmcm     usr/bin/dclpsrmcm.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsrot      usr/bin/dclpsrot.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsselect   usr/bin/dclpsselect.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsseperate usr/bin/dclpsseperate.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsunrot    usr/bin/dclpsunrot.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsline     usr/bin/dclpsline.$(EXT)  
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep 
.PHONY: build clean binary-indep binary-arch binary install
